Bug 488756 - DeviceKit interferes with livecd-creator
DeviceKit interferes with livecd-creator
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: livecd-tools (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F11Blocker/F11FinalBlocker
  Show dependency treegraph
 
Reported: 2009-03-05 11:56 EST by Warren Togami
Modified: 2009-03-20 13:48 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-20 13:48:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Warren Togami 2009-03-05 11:56:19 EST
Removing password for user root.
passwd: Success
error: /etc/pki/rpm-gpg/RPM-GPG-KEY-fedora: import read failed(-1).
e2fsck 1.41.4 (27-Jan-2009)
Pass 1: Checking inodes, blocks, and sizes
Pass 2: Checking directory structure
Pass 3: Checking directory connectivity
Pass 4: Checking reference counts
Pass 5: Checking group summary information
fedora-livecd--i: 78136/196608 files (0.3% non-contiguous), 545550/786432 blocks
e2fsck 1.41.4 (27-Jan-2009)
Pass 1: Checking inodes, blocks, and sizes
Pass 2: Checking directory structure
Pass 3: Checking directory connectivity
Pass 4: Checking reference counts
Pass 5: Checking group summary information
fedora-livecd--i: 78136/139264 files (1.7% non-contiguous), 542199/542199 blocks
device-mapper: remove ioctl failed: Device or resource busy
Command failed
/usr/lib/python2.6/site-packages/imgcreate/errors.py:45: DeprecationWarning: BaseException.message has been deprecated as of Python 2.6
  return unicode(self.message)
Error creating Live CD : Could not remove snapshot device

GNOME is mounting the temporary loopback devicemapper filesystem, interfering with livecd-creator and causing it to fail.

DavidZ says we need to launch things via devkit-disks to avoid this.

devkit-disks --inhibit -- /bin/foo
Comment 1 Warren Togami 2009-03-05 17:30:19 EST
Bug #488850 devkit-disks --inhibit broken parameter handling
Comment 2 Jeremy Katz 2009-03-06 11:36:53 EST
While this might work around the problem, it introduces new and different problems
1) Someone plugs in a USB device while their livecd build is running.  Now their USB device doesn't get mounted
2) Everything that we've done to have "nice" handling of ctrl-C is thrown out the window.  Entirely.  Forget cleanup.  

Really, this whole "inhibit a subsystem" thing is nothing more than a large hack that we really need to have a better solution for :/
Comment 3 Jeremy Katz 2009-03-20 13:48:51 EDT
Okay, new DeviceKit-disks (003-7.fc11) fixes this by not automounting all dm devices

Note You need to log in before you can comment on or make changes to this bug.